org.apache.poi.ss.usermodel

## Class CellCopyPolicy.Builder

- java.lang.Object
- - org.apache.poi.ss.usermodel.CellCopyPolicy.Builder

- Enclosing class:
    CellCopyPolicy

      public static class CellCopyPolicy.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()` Builder class for CellCopyPolicy

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CellCopyPolicy` | `build()`
    `CellCopyPolicy.Builder` | `cellFormula(boolean copyCellFormula)`
    `CellCopyPolicy.Builder` | `cellStyle(boolean copyCellStyle)`
    `CellCopyPolicy.Builder` | `cellValue(boolean copyCellValue)`
    `CellCopyPolicy.Builder` | `condenseRows(boolean condenseRows)`
    `CellCopyPolicy.Builder` | `copyHyperlink(boolean copyHyperlink)`
    `CellCopyPolicy.Builder` | `mergedRegions(boolean copyMergedRegions)`
    `CellCopyPolicy.Builder` | `mergeHyperlink(boolean mergeHyperlink)`
    `CellCopyPolicy.Builder` | `rowHeight(boolean copyRowHeight)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

      Builder class for CellCopyPolicy

  - ### Method Detail

    - #### cellValue

          public CellCopyPolicy.Builder cellValue(boolean copyCellValue)

    - #### cellStyle

          public CellCopyPolicy.Builder cellStyle(boolean copyCellStyle)

    - #### cellFormula

          public CellCopyPolicy.Builder cellFormula(boolean copyCellFormula)

    - #### copyHyperlink

          public CellCopyPolicy.Builder copyHyperlink(boolean copyHyperlink)

    - #### mergeHyperlink

          public CellCopyPolicy.Builder mergeHyperlink(boolean mergeHyperlink)

    - #### rowHeight

          public CellCopyPolicy.Builder rowHeight(boolean copyRowHeight)

    - #### condenseRows

          public CellCopyPolicy.Builder condenseRows(boolean condenseRows)

    - #### mergedRegions

          public CellCopyPolicy.Builder mergedRegions(boolean copyMergedRegions)

    - #### build

          public CellCopyPolicy build()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.